Skip to main content
POST
Create a magic link for agent download

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
reporting_group_id
string
required

The unique identifier of the reporting group

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json

Request body for creating a magic link of Reporting Group.

expires_at
string<date-time>
required

Expiration date and time in UTC (ISO 8601, e.g., with a Z suffix). It must be in the future and no more than 91 days ahead.

Example:

"2026-03-15T12:00:00.000Z"

installer
object
required

Installer selection for the magic link.

Response

Magic link created successfully.

id
string
required

Identifier of the magic link

Example:

"507f1f77bcf86cd799439099"

token
string
required

Token associated with the magic link.

Example:

"2ab46558-3c40-4b72-8fce-08b7b596f624"

Magic link URL.

Example:

"https://portal.example.com/magic-link?key=2ab46558-3c40-4b72-8fce-08b7b596f624"